Package ghidra.app.merge

# Interface MergeProgressModifier

All Known Subinterfaces:
  `DomainObjectMergeManager`

All Known Implementing Classes:
  `DataTypeArchiveMergeManager`, `MergeManager`, `ProgramMultiUserMergeManager`

public interface MergeProgressModifier

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setCompleted(String[] mergePhase)`
  The manager (MergeResolver) for a particular merge phase should call this when its phase or sub-phase completes.
  `void`
  `setInProgress(String[] mergePhase)`
  The manager (MergeResolver) for a particular merge phase should call this when its phase or sub-phase begins.
  `void`
  `updateProgress(int currentProgressPercentage)`
  Updates the current phase progress area in the default merge panel.
  `void`
  `updateProgress(int currentProgressPercentage, String progressMessage)`
  Updates the current phase progress area in the default merge panel.
  `void`
  `updateProgress(String progressMessage)`
  Updates the current phase progress area in the default merge panel.

- ## Method Details

  - ### updateProgress

    void updateProgress(String progressMessage)
    Updates the current phase progress area in the default merge panel.
    Parameters:
      `progressMessage` - a message indicating what is currently occurring in this phase. Null indicates to use the default message.

  - ### updateProgress

    void updateProgress(int currentProgressPercentage)
    Updates the current phase progress area in the default merge panel.
    Parameters:
      `currentProgressPercentage` - the progress percentage completed for the current phase. This should be a value from 0 to 100.

  - ### updateProgress

    void updateProgress(int currentProgressPercentage, String progressMessage)
    Updates the current phase progress area in the default merge panel.
    Parameters:
      `currentProgressPercentage` - the progress percentage completed for the current phase. This should be a value from 0 to 100.
      `progressMessage` - a message indicating what is currently occurring in this phase.

  - ### setInProgress

    void setInProgress(String[] mergePhase)
    The manager (MergeResolver) for a particular merge phase should call this when its phase or sub-phase begins. The string array should match one that the returned by MergeResolver.getPhases().
    Parameters:
      `mergePhase` - identifier for the merge phase to change to in progress status.
    See Also:
      - `MergeResolver`

  - ### setCompleted

    void setCompleted(String[] mergePhase)
    The manager (MergeResolver) for a particular merge phase should call this when its phase or sub-phase completes. The string array should match one that the returned by MergeResolver.getPhases().
    Parameters:
      `mergePhase` - identifier for the merge phase to change to completed status.
    See Also:
      - `MergeResolver`